Bug 187787 - ICE with DWARF-2 and -feliminate-dwarf2-dups
Summary: ICE with DWARF-2 and -feliminate-dwarf2-dups
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc   
(Show other bugs)
Version: 5
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-03 16:28 UTC by Stefan Ring
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 4.1.0-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-07 06:36:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessed source code the compiler created for me (370.20 KB, application/x-gzip)
2006-04-03 16:28 UTC, Stefan Ring
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 27057 None None None Never

Description Stefan Ring 2006-04-03 16:28:32 UTC
Description of problem:

I get an ICE with -feliminate-dwarf2-dups swiched on during a large compile
which I don't get without -feliminate-dwarf2-dups.


Version-Release number of selected component (if applicable):
gcc version 4.1.0 20060304 (Red Hat 4.1.0-3)


How reproducible:
always


Steps to Reproduce:
1. Compile the attached file (it's large but I have no idea how to rule out stuff)

2.
3.
  
Actual results:
g++ -pthread -D__STDC_LIMIT_MACROS -D_SERVER -DUSE_ZLIB -D_VT_USERIGHTS -Wall -g
-feliminate-dwarf2-dups -IENTE -IVTXMLMessages -ISXC -IFNC_Helperfunctions
-IVTGA_SRV -IVTGA_SRV/common/Main -IVTGA_SRV/Main -IVTGA_SRV/common/Diverses
-IVTGA_SRV/Diverses -IVTGA_SRV/common/NCS -IVTGA_SRV/NCS -IVTGA_SRV/common/Main
-IVCL -IVTCOM -IVTCOM/configunix -IVTBlob -Iutil -I/usr/qt4/include
-I/usr/qt4/include/Qt -I/usr/qt4/include/QtCore -I/opt/vtse/include
-I/opt/vtse/include/python2.4 -I/usr/include/sigc++-2.0
-I/usr/lib64/sigc++-2.0/include -I/opt/antlr/include -c -o
VTGA_SRV/NCS/CLS_IMP_NCS.o VTGA_SRV/NCS/CLS_IMP_NCS.cpp
ENTE/etreedata.h:12: warning: 'class ITreeDataAction' has virtual functions but
non-virtual destructor
VTGA_SRV/common/NCS/FNC_HTMLReport.h:8: warning: 'struct CLS_htmlworldinterface'
has virtual functions but non-virtual destructor
VTGA_SRV/NCS/CLS_IMP_NCS.cpp:1950: internal compiler error: in
build_abbrev_table, at dwarf2out.c:6483
Please submit a full bug report,
with preprocessed source if appropriate.


Expected results:
Successful compile.


Additional info:

Comment 1 Stefan Ring 2006-04-03 16:28:32 UTC
Created attachment 127242 [details]
Preprocessed source code the compiler created for me

Comment 2 Jakub Jelinek 2006-04-07 06:36:47 UTC
Should be fixed in gcc-4.1.0-6 in rawhide.


Note You need to log in before you can comment on or make changes to this bug.